Index: bootstrapper/bootstrap.sh
===================================================================
--- bootstrapper/bootstrap.sh	(revision 38)
+++ bootstrapper/bootstrap.sh	(revision 39)
@@ -95,21 +95,11 @@
 
 checkSetupDeps() {
-	which gcc > /dev/null
-	if [ $? -ne 0 ]; then
-		echo "'gcc' not installed. Please install it and run this script again."
-		exit 1
-	fi
-
-	which wget > /dev/null
-	if [ $? -ne 0 ]; then
-		echo "'wget' not installed. Please install it and run this script again."
-		exit 1
-	fi
-
-	which tr > /dev/null
-	if [ $? -ne 0 ]; then
-		echo "'tr' not installed. Please install it and run this script again."
-		exit 1
-	fi
+	for DEP in "gcc wget tr rsync xmlstarlet"; do
+		which $DEP > /dev/null
+		if [ $? -ne 0 ]; then
+			echo "\"$DEP\" not installed. Please install it and run this script again."
+			exit 1
+		fi
+	done
 	
 	ldconfig -p | grep gcc | grep -v 64 > /dev/null
